Skip to main content
GET
/
accounts
/
{account_id}
/
unified_findings
/
groups
/
{group_id}
Get findings group details
curl --request GET \
  --url https://api.prd.rad.security/accounts/{account_id}/unified_findings/groups/{group_id}
import requests

url = "https://api.prd.rad.security/accounts/{account_id}/unified_findings/groups/{group_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.prd.rad.security/accounts/{account_id}/unified_findings/groups/{group_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "account_id": "<string>",
  "cluster_id": "<string>",
  "findings": [
    {
      "account_id": "<string>",
      "cluster_id": "<string>",
      "created_at": "<string>",
      "deleted_at": "<string>",
      "event_timestamp": "<string>",
      "fingerprint": "<string>",
      "fix_attrs": {},
      "id": "<string>",
      "messages": [
        "<string>"
      ],
      "owner_id": "<string>",
      "rule_attrs": {},
      "rule_id": "<string>",
      "rule_title": "<string>",
      "severity": "<string>",
      "severity_int": 123,
      "source_actor": "<string>",
      "source_attrs": {},
      "source_id": "<string>",
      "source_kind": "<string>",
      "source_name": "<string>",
      "source_namespace": "<string>",
      "source_owner_id": "<string>",
      "source_type": "<string>",
      "tags": {},
      "tenant_id": "<string>",
      "type": "<string>",
      "updated_at": "<string>"
    }
  ],
  "first_seen": "<string>",
  "id": "<string>",
  "last_seen": "<string>",
  "rule_id": "<string>",
  "rule_title": "<string>",
  "severity": "<string>",
  "source_kind": "<string>",
  "source_name": "<string>",
  "source_type": "<string>",
  "status": "<string>",
  "type": "<string>",
  "event_timestamp": "<string>",
  "group_id": "<string>",
  "rule_attrs": {},
  "source_attrs": {},
  "source_namespace": "<string>"
}
{
"status": 123,
"code": "<string>",
"request_id": "<string>",
"validation_details": [
{
"code": "<string>",
"field": "<string>",
"message": "<string>",
"param": "<string>"
}
]
}

Path Parameters

account_id
string
required

Account id

group_id
string
required

Findings group id

Query Parameters

limit
string

Limit

Response

OK

account_id
string
cluster_id
string
findings
object[]
first_seen
string
id
string
last_seen
string
rule_id
string
rule_title
string
severity
string
source_kind
string
source_name
string
source_type
string
status
string
type
string
event_timestamp
string
group_id
string
rule_attrs
object
source_attrs
object
source_namespace
string